GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

          • Get User Profile
          • Update User Profile
          • Bind Email
          • Unbind Email
          • Bind Phone
          • Unbind Phone
          • Get Password Strength and Account Security Score
          • Update Password
          • Initiate Email Update Verification Request
          • Update Email
          • Initiate Phone Update Verification Request
          • Update Phone
          • Initiate Reset Password Request
          • Reset Password
          • Initiate Account Deletion Request
          • Delete Account
        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. User Profile

  10. /
  11. Initiate Reset Password Request

¶ Initiate a forgotten password request

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When the user forgets the password, the password can be retrieved through this endpoint. The user needs to use relevant verification methods for verification. Currently, Email verification code and Mobile phone number verification code are supported.

¶ Method name

AuthenticationClient.verify_reset_password_request

¶ Request parameters

NameType
Required
Default value
Description
Sample value
verifyMethodstringYes-Verification method used for forgotten password request:
- EMAIL_PASSCODE: Verification by email verification code
- PHONE_PASSCODE: Verification by phone number verification code
EMAIL_PASSCODE
phonePassCodePayloadResetPasswordByPhonePassCodeDtoNo-Data verified by phone number verification code
emailPassCodePayloadResetPasswordByEmailPassCodeDtoNo-Data verified by email verification code

¶ Request response

Type: PasswordResetVerifyResp

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataResetPasswordVerifyResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {}
}

¶ Data structure

¶ ResetPasswordByPhonePassCodeDto

NameType
Is it required?
Description
Sample value
phoneNumberstringYesThe phone number bound to this account, without the area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
passCodestringYesSMS verification code. An SMS verification code can only be used once and is valid for one minute. You need to obtain it through the Send SMS interface.123456
phoneCountryCodestringNoMobile phone area code. This field is optional for mainland China mobile phone numbers. The GenAuth SMS service does not yet support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86

¶ ResetPasswordByEmailPassCodeDto

NameType
Is it required?
Description
Sample value
emailstringNoThe email address bound to this account, not case sensitive.
passCodestringYesEmail verification code. An SMS verification code can only be used once, and the default validity period is 5 minutes. You need to obtain it through the Send Email interface.

¶ ResetPasswordVerify

NameType
Is it required?
Description
Sample value
passwordResetTokenstringYesToken used to reset password
tokenExpiresInnumberYesExpiration time, in seconds.
Previous article: Update Phone Next article: Reset Password
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.